.. _vmodl.LocalizedMethodFault: ../../vmodl/LocalizedMethodFault.rst

.. _vim.event.TemplateUpgradeEvent: ../../vim/event/TemplateUpgradeEvent.rst


vim.event.TemplateUpgradeFailedEvent
====================================
  This event records that the template upgrade failed.
:extends: vim.event.TemplateUpgradeEvent_

Attributes:
    reason (`vmodl.LocalizedMethodFault`_):

